diff --git a/gcc/ira-costs.c b/gcc/ira-costs.c
index 648806b..8aed211 100644
--- a/gcc/ira-costs.c
+++ b/gcc/ira-costs.c
@@ -677,7 +677,7 @@ record_reg_classes (int n_alts, int n_ops, rtx *ops,
 
 		case 'i':
 		  if (CONSTANT_P (op)
-		      && (! flag_pic || LEGITIMATE_PIC_OPERAND_P (op)))
+		      && (! GCC_OPTION (flag_pic) || LEGITIMATE_PIC_OPERAND_P (op)))
 		    win = 1;
 		  break;
 
@@ -706,7 +706,7 @@ record_reg_classes (int n_alts, int n_ops, rtx *ops,
 		case 'g':
 		  if (MEM_P (op)
 		      || (CONSTANT_P (op)
-			  && (! flag_pic || LEGITIMATE_PIC_OPERAND_P (op))))
+			  && (! GCC_OPTION (flag_pic) || LEGITIMATE_PIC_OPERAND_P (op))))
 		    win = 1;
 		  insn_allows_mem[i] = allows_mem[i] = 1;
 		case 'r':
@@ -1423,14 +1423,14 @@ print_allocno_costs (FILE *f)
 	    {
 	      fprintf (f, " %s:%d", reg_class_names[rclass],
 		       COSTS (costs, i)->cost[k]);
-	      if (flag_ira_region == IRA_REGION_ALL
-		  || flag_ira_region == IRA_REGION_MIXED)
+	      if (GCC_OPTION (flag_ira_region) == IRA_REGION_ALL
+		  || GCC_OPTION (flag_ira_region) == IRA_REGION_MIXED)
 		fprintf (f, ",%d", COSTS (total_allocno_costs, i)->cost[k]);
 	    }
 	}
       fprintf (f, " MEM:%i", COSTS (costs, i)->mem_cost);
-      if (flag_ira_region == IRA_REGION_ALL
-	  || flag_ira_region == IRA_REGION_MIXED)
+      if (GCC_OPTION (flag_ira_region) == IRA_REGION_ALL
+	  || GCC_OPTION (flag_ira_region) == IRA_REGION_MIXED)
 	fprintf (f, ",%d", COSTS (total_allocno_costs, i)->mem_cost);
       fprintf (f, "\n");
     }
@@ -1513,7 +1513,7 @@ find_costs_and_classes (FILE *dump_file)
   for (i = max_reg_num () - 1; i >= FIRST_PSEUDO_REGISTER; i--)
     regno_best_class[i] = NO_REGS;
   if (!resize_reg_info () && allocno_p
-      && pseudo_classes_defined_p && flag_expensive_optimizations)
+      && pseudo_classes_defined_p && GCC_OPTION (flag_expensive_optimizations))
     {
       ira_allocno_t a;
       ira_allocno_iterator ai;
@@ -1549,7 +1549,7 @@ find_costs_and_classes (FILE *dump_file)
      use for each allocno.  However, if -fexpensive-optimizations are
      on, we do so twice, the second time using the tentative best
      classes to guide the selection.  */
-  for (pass = start; pass <= flag_expensive_optimizations; pass++)
+  for (pass = start; pass <= GCC_OPTION (flag_expensive_optimizations); pass++)
     {
       if ((!allocno_p || internal_flag_ira_verbose > 0) && dump_file)
 	fprintf (dump_file,
@@ -1629,8 +1629,8 @@ find_costs_and_classes (FILE *dump_file)
 		  int *a_costs, *p_costs;
 		      
 		  a_num = ALLOCNO_NUM (a);
-		  if ((flag_ira_region == IRA_REGION_ALL
-		       || flag_ira_region == IRA_REGION_MIXED)
+		  if ((GCC_OPTION (flag_ira_region) == IRA_REGION_ALL
+		       || GCC_OPTION (flag_ira_region) == IRA_REGION_MIXED)
 		      && (parent = ALLOCNO_LOOP_TREE_NODE (a)->parent) != NULL
 		      && (parent_a = parent->regno_allocno_map[i]) != NULL
 		      /* There are no caps yet.  */
@@ -1715,7 +1715,7 @@ find_costs_and_classes (FILE *dump_file)
 		}
 	      else if (i_costs[k] == best_cost)
 		best = ira_reg_class_subunion[best][rclass];
-	      if (pass == flag_expensive_optimizations
+	      if (pass == GCC_OPTION (flag_expensive_optimizations)
 		  /* We still prefer registers to memory even at this
 		     stage if their costs are the same.  We will make
 		     a final decision during assigning hard registers
@@ -1740,7 +1740,7 @@ find_costs_and_classes (FILE *dump_file)
 	      ira_assert (regno_aclass[i] != NO_REGS
 			  && ira_reg_allocno_class_p[regno_aclass[i]]);
 	    }
-	  if (pass == flag_expensive_optimizations)
+	  if (pass == GCC_OPTION (flag_expensive_optimizations))
 	    {
 	      if (best_cost > i_mem_cost)
 		best = alt_class = NO_REGS;
@@ -1819,7 +1819,7 @@ find_costs_and_classes (FILE *dump_file)
 			   reg_class_names[aclass]);
 		}
 	      pref[a_num] = best;
-	      if (pass == flag_expensive_optimizations && best != aclass
+	      if (pass == GCC_OPTION (flag_expensive_optimizations) && best != aclass
 		  && ira_class_hard_regs_num[best] > 0
 		  && (ira_reg_class_max_nregs[best][ALLOCNO_MODE (a)]
 		      >= ira_class_hard_regs_num[best]))
@@ -1963,7 +1963,7 @@ setup_allocno_class_and_costs (void)
       ira_set_allocno_class (a, aclass);
       if (aclass == NO_REGS)
 	continue;
-      if (optimize && ALLOCNO_CLASS (a) != pref[i])
+      if (GCC_OPTION (optimize) && ALLOCNO_CLASS (a) != pref[i])
 	{
 	  n = ira_class_hard_regs_num[aclass];
 	  ALLOCNO_HARD_REG_COSTS (a)
@@ -1987,7 +1987,7 @@ setup_allocno_class_and_costs (void)
 	    }
 	}
     }
-  if (optimize)
+  if (GCC_OPTION (optimize))
     ira_traverse_loop_tree (true, ira_loop_tree_root,
 			    process_bb_node_for_hard_reg_moves, NULL);
 }
@@ -2113,7 +2113,7 @@ void
 ira_set_pseudo_classes (bool define_pseudo_classes, FILE *dump_file)
 {
   allocno_p = false;
-  internal_flag_ira_verbose = flag_ira_verbose;
+  internal_flag_ira_verbose = GCC_OPTION (flag_ira_verbose);
   cost_elements_num = max_reg_num ();
   init_costs ();
   initiate_regno_cost_classes ();
diff --git a/gcc/ira-int.h b/gcc/ira-int.h
index e36bb92..7c70b08 100644
--- a/gcc/ira-int.h
+++ b/gcc/ira-int.h
@@ -43,7 +43,7 @@ along with GCC; see the file COPYING3.  If not see
    executed, frequency is always equivalent.  Otherwise rescale the
    edge frequency.  */
 #define REG_FREQ_FROM_EDGE_FREQ(freq)					   \
-  (optimize_size || (flag_branch_probabilities				   \
+  (GCC_OPTION (optimize_size) || (GCC_OPTION (flag_branch_probabilities)				   \
 		     && !ENTRY_BLOCK_PTR_FOR_FN (cfun)->count)		   \
    ? REG_FREQ_MAX : (freq * REG_FREQ_MAX / BB_FREQ_MAX)		   \
    ? (freq * REG_FREQ_MAX / BB_FREQ_MAX) : 1)
diff --git a/gcc/ira.c b/gcc/ira.c
index 7c49b7f..3253d0b 100644
--- a/gcc/ira.c
+++ b/gcc/ira.c
@@ -1707,7 +1707,7 @@ ira_init (void)
 {
   free_register_move_costs ();
   setup_reg_mode_hard_regset ();
-  setup_alloc_regs (flag_omit_frame_pointer != 0);
+  setup_alloc_regs (GCC_OPTION (flag_omit_frame_pointer) != 0);
   setup_class_subset_and_memory_move_costs ();
   setup_reg_class_nregs ();
   setup_prohibited_class_mode_regs ();
@@ -2131,7 +2131,7 @@ decrease_live_ranges_number (void)
   rtx insn, set, src, dest, dest_death, p, q, note;
   int sregno, dregno;
 
-  if (! flag_expensive_optimizations)
+  if (! GCC_OPTION (flag_expensive_optimizations))
     return;
 
   if (ira_dump_file)
@@ -2396,16 +2396,16 @@ ira_setup_eliminable_regset (void)
      case.  At some point, we should improve this by emitting the
      sp-adjusting insns for this case.  */
   frame_pointer_needed
-    = (! flag_omit_frame_pointer
+    = (! GCC_OPTION (flag_omit_frame_pointer)
        || (cfun->calls_alloca && EXIT_IGNORE_STACK)
        /* We need the frame pointer to catch stack overflow exceptions
 	  if the stack pointer is moving.  */
-       || (flag_stack_check && STACK_CHECK_MOVING_SP)
+       || (GCC_OPTION (flag_stack_check) && STACK_CHECK_MOVING_SP)
        || crtl->accesses_prior_frames
        || (SUPPORTS_STACK_ALIGNMENT && crtl->stack_realign_needed)
        /* We need a frame pointer for all Cilk Plus functions that use
 	  Cilk keywords.  */
-       || (flag_cilkplus && cfun->is_cilk_function)
+       || (GCC_OPTION (flag_cilkplus) && cfun->is_cilk_function)
        || targetm.frame_pointer_required ());
 
     /* The chance that FRAME_POINTER_NEEDED is changed from inspecting
@@ -2523,7 +2523,7 @@ setup_reg_renumber (void)
 	      && ira_hard_reg_set_intersection_p (hard_regno, ALLOCNO_MODE (a),
 						  call_used_reg_set))
 	    {
-	      ira_assert (!optimize || flag_caller_saves
+	      ira_assert (!GCC_OPTION (optimize) || GCC_OPTION (flag_caller_saves)
 			  || (ALLOCNO_CALLS_CROSSED_NUM (a)
 			      == ALLOCNO_CHEAP_CALLS_CROSSED_NUM (a))
 			  || regno >= ira_reg_equiv_len
@@ -3554,7 +3554,7 @@ update_equiv_regs (void)
 		 replacements.  */
 	    }
 
-	  if (!optimize)
+	  if (!GCC_OPTION (optimize))
 	    continue;
 
 	  /* We only handle the case of a pseudo register being set
@@ -3675,7 +3675,7 @@ update_equiv_regs (void)
 	      reg_equiv[regno].loop_depth = loop_depth;
 
 	      /* Don't mess with things live during setjmp.  */
-	      if (REG_LIVE_LENGTH (regno) >= 0 && optimize)
+	      if (REG_LIVE_LENGTH (regno) >= 0 && GCC_OPTION (optimize))
 		{
 		  /* Note that the statement below does not affect the priority
 		     in local-alloc!  */
@@ -3701,7 +3701,7 @@ update_equiv_regs (void)
 	}
     }
 
-  if (!optimize)
+  if (!GCC_OPTION (optimize))
     goto out;
 
   /* A second pass, to gather additional equivalences with memory.  This needs
@@ -3807,8 +3807,8 @@ update_equiv_regs (void)
 			 scheduling were done because it will not
 			 improve allocation but worsen insn schedule
 			 with a big probability.  */
-		      || flag_live_range_shrinkage
-		      || (flag_sched_pressure && flag_schedule_insns))
+		      || GCC_OPTION (flag_live_range_shrinkage)
+		      || (GCC_OPTION (flag_sched_pressure) && GCC_OPTION (flag_schedule_insns)))
 		    continue;
 
 		  /* reg_equiv[REGNO].replace gets set only when
@@ -3993,7 +3993,7 @@ setup_reg_equiv (void)
 		x = SET_DEST (set);
 	      }
 	    if (! function_invariant_p (x)
-		|| ! flag_pic
+		|| ! GCC_OPTION (flag_pic)
 		/* A function invariant is often CONSTANT_P but may
 		   include a register.  We promise to only pass
 		   CONSTANT_P objects to LEGITIMATE_PIC_OPERAND_P.  */
@@ -4916,7 +4916,7 @@ split_live_ranges_for_shrink_wrap (void)
   bitmap_head need_new, reachable;
   vec<basic_block> queue;
 
-  if (!flag_shrink_wrap)
+  if (!GCC_OPTION (flag_shrink_wrap))
     return false;
 
   bitmap_initialize (&need_new, 0);
@@ -5182,10 +5182,10 @@ ira (FILE *f)
   bool loops_p;
   int ira_max_point_before_emit;
   int rebuild_p;
-  bool saved_flag_caller_saves = flag_caller_saves;
-  enum ira_region saved_flag_ira_region = flag_ira_region;
+  bool saved_flag_caller_saves = GCC_OPTION (flag_caller_saves);
+  enum ira_region saved_flag_ira_region = GCC_OPTION (flag_ira_region);
 
-  ira_conflicts_p = optimize > 0;
+  ira_conflicts_p = GCC_OPTION (optimize) > 0;
 
   ira_use_lra_p = targetm.lra_p ();
   /* If there are too many pseudos and/or basic blocks (e.g. 10K
@@ -5197,10 +5197,10 @@ ira (FILE *f)
   if (lra_simple_p)
     {
       /* It permits to skip live range splitting in LRA.  */
-      flag_caller_saves = false;
+      GCC_OPTION (flag_caller_saves) = false;
       /* There is no sense to do regional allocation when we use
 	 simplified LRA.  */
-      flag_ira_region = IRA_REGION_ONE;
+      GCC_OPTION (flag_ira_region) = IRA_REGION_ONE;
       ira_conflicts_p = false;
     }
 
@@ -5209,17 +5209,17 @@ ira (FILE *f)
 #endif
   bitmap_obstack_initialize (&ira_bitmap_obstack);
 
-  if (flag_caller_saves)
+  if (GCC_OPTION (flag_caller_saves))
     init_caller_save ();
 
-  if (flag_ira_verbose < 10)
+  if (GCC_OPTION (flag_ira_verbose) < 10)
     {
-      internal_flag_ira_verbose = flag_ira_verbose;
+      internal_flag_ira_verbose = GCC_OPTION (flag_ira_verbose);
       ira_dump_file = f;
     }
   else
     {
-      internal_flag_ira_verbose = flag_ira_verbose - 10;
+      internal_flag_ira_verbose = GCC_OPTION (flag_ira_verbose) - 10;
       ira_dump_file = stderr;
     }
 
@@ -5232,7 +5232,7 @@ ira (FILE *f)
      interpretation of the DF_LR problem.  See PR38711.
      Remove the problem, so that we don't spend time updating it in
      any of the df_analyze() calls during IRA/LRA.  */
-  if (optimize > 1)
+  if (GCC_OPTION (optimize) > 1)
     df_remove_problem (df_live);
   gcc_checking_assert (df_live == NULL);
 
@@ -5260,7 +5260,7 @@ ira (FILE *f)
   /* If we are not optimizing, then this is the only place before
      register allocation where dataflow is done.  And that is needed
      to generate these warnings.  */
-  if (warn_clobbered)
+  if (GCC_OPTION (warn_clobbered))
     generate_setjmp_warnings ();
 
   /* Determine if the current function is a leaf before running IRA
@@ -5268,14 +5268,14 @@ ira (FILE *f)
      epilogue thus changing register elimination offsets.  */
   crtl->is_leaf = leaf_function_p ();
 
-  if (resize_reg_info () && flag_ira_loop_pressure)
+  if (resize_reg_info () && GCC_OPTION (flag_ira_loop_pressure))
     ira_set_pseudo_classes (true, ira_dump_file);
 
   rebuild_p = update_equiv_regs ();
   setup_reg_equiv ();
   setup_reg_equiv_init ();
 
-  if (optimize && rebuild_p)
+  if (GCC_OPTION (optimize) && rebuild_p)
     {
       timevar_push (TV_JUMP);
       rebuild_jump_labels (get_insns ());
@@ -5303,7 +5303,7 @@ ira (FILE *f)
   ira_move_loops_num = ira_additional_jumps_num = 0;
 
   ira_assert (current_loops == NULL);
-  if (flag_ira_region == IRA_REGION_ALL || flag_ira_region == IRA_REGION_MIXED)
+  if (GCC_OPTION (flag_ira_region) == IRA_REGION_ALL || GCC_OPTION (flag_ira_region) == IRA_REGION_MIXED)
     loop_optimizer_init (AVOID_CFG_MODIFICATIONS | LOOPS_HAVE_RECORDED_EXITS);
 
   if (internal_flag_ira_verbose > 0 && ira_dump_file != NULL)
@@ -5312,14 +5312,14 @@ ira (FILE *f)
 
   ira_assert (ira_conflicts_p || !loops_p);
 
-  saved_flag_ira_share_spill_slots = flag_ira_share_spill_slots;
+  saved_flag_ira_share_spill_slots = GCC_OPTION (flag_ira_share_spill_slots);
   if (too_high_register_pressure_p () || cfun->calls_setjmp)
     /* It is just wasting compiler's time to pack spilled pseudos into
        stack slots in this case -- prohibit it.  We also do this if
        there is setjmp call because a variable not modified between
        setjmp and longjmp the compiler is required to preserve its
        value and sharing slots does not guarantee it.  */
-    flag_ira_share_spill_slots = FALSE;
+    GCC_OPTION (flag_ira_share_spill_slots) = FALSE;
 
   ira_color ();
 
@@ -5423,8 +5423,8 @@ ira (FILE *f)
   /* Restore original values.  */
   if (lra_simple_p)
     {
-      flag_caller_saves = saved_flag_caller_saves;
-      flag_ira_region = saved_flag_ira_region;
+      GCC_OPTION (flag_caller_saves) = saved_flag_caller_saves;
+      GCC_OPTION (flag_ira_region) = saved_flag_ira_region;
     }
 }
 
@@ -5434,7 +5434,7 @@ do_reload (void)
   basic_block bb;
   bool need_dce;
 
-  if (flag_ira_verbose < 10)
+  if (GCC_OPTION (flag_ira_verbose) < 10)
     ira_dump_file = dump_file;
 
   timevar_push (TV_RELOAD);
@@ -5484,7 +5484,7 @@ do_reload (void)
       && overall_cost_before != ira_overall_cost)
     fprintf (ira_dump_file, "+++Overall after reload %d\n", ira_overall_cost);
 
-  flag_ira_share_spill_slots = saved_flag_ira_share_spill_slots;
+  GCC_OPTION (flag_ira_share_spill_slots) = saved_flag_ira_share_spill_slots;
 
   if (! ira_use_lra_p)
     {
@@ -5502,7 +5502,7 @@ do_reload (void)
       regstat_free_n_sets_and_refs ();
     }
 
-  if (optimize)
+  if (GCC_OPTION (optimize))
     cleanup_cfg (CLEANUP_EXPENSIVE);
 
   finish_reg_equiv ();
@@ -5520,16 +5520,16 @@ do_reload (void)
   df_scan_alloc (NULL);
   df_scan_blocks ();
 
-  if (optimize > 1)
+  if (GCC_OPTION (optimize) > 1)
     {
       df_live_add_problem ();
       df_live_set_all_dirty ();
     }
 
-  if (optimize)
+  if (GCC_OPTION (optimize))
     df_analyze ();
 
-  if (need_dce && optimize)
+  if (need_dce && GCC_OPTION (optimize))
     run_fast_dce ();
 
   /* Diagnose uses of the hard frame pointer when it is used as a global
diff --git a/gcc/java/boehm.c b/gcc/java/boehm.c
index ddc424b..52238cf 100644
--- a/gcc/java/boehm.c
+++ b/gcc/java/boehm.c
@@ -142,7 +142,7 @@ get_boehm_type_descriptor (tree type)
   mask = double_int_zero;
 
   /* If the GC wasn't requested, just use a null pointer.  */
-  if (! flag_use_boehm_gc)
+  if (! GCC_OPTION (flag_use_boehm_gc))
     return null_pointer_node;
 
   value_type = java_type_for_mode (ptr_mode, 1);
@@ -178,7 +178,7 @@ get_boehm_type_descriptor (tree type)
   /* If the object is all pointers, or if the part with pointers fits
      in our bitmap, then we are ok.  Otherwise we have to allocate it
      a different way.  */
-  if (all_bits_set != -1 || (pointer_after_end && flag_reduced_reflection))
+  if (all_bits_set != -1 || (pointer_after_end && GCC_OPTION (flag_reduced_reflection)))
     {
       /* In this case the initial part of the object is all reference
 	 fields, and the end of the object is all non-reference
@@ -227,11 +227,11 @@ uses_jv_markobj_p (tree dtable)
 {
   tree v;
   /* FIXME: what do we return if !flag_use_boehm_gc ? */
-  gcc_assert (flag_use_boehm_gc);
+  gcc_assert (GCC_OPTION (flag_use_boehm_gc));
   /* FIXME: this is wrong if TARGET_VTABLE_USES_DESCRIPTORS.  However,
      this function is only used with flag_reduced_reflection.  No
      point in asserting unless we hit the bad case.  */
-  gcc_assert (!flag_reduced_reflection || TARGET_VTABLE_USES_DESCRIPTORS == 0);
+  gcc_assert (!GCC_OPTION (flag_reduced_reflection) || TARGET_VTABLE_USES_DESCRIPTORS == 0);
   v = (*CONSTRUCTOR_ELTS (dtable))[3].value;
   return (PROCEDURE_OBJECT_DESCRIPTOR == TREE_INT_CST_LOW (v));
 }
diff --git a/gcc/java/builtins.c b/gcc/java/builtins.c
index 1ce9ce5..ee2c274 100644
--- a/gcc/java/builtins.c
+++ b/gcc/java/builtins.c
@@ -309,7 +309,7 @@ putObject_builtin (tree method_return_type ATTRIBUTE_UNUSED,
   addr = build_addr_sum (value_type, obj_arg, offset_arg);
   stmt = fold_build2 (MODIFY_EXPR, value_type,
 		      build_java_indirect_ref (value_type, addr,
-					       flag_check_references),
+					       GCC_OPTION (flag_check_references)),
 		      value_arg);
 
   return build_check_this (stmt, this_arg);
@@ -320,7 +320,7 @@ compareAndSwapInt_builtin (tree method_return_type ATTRIBUTE_UNUSED,
 			   tree orig_call)
 {
   enum machine_mode mode = TYPE_MODE (int_type_node);
-  if (can_compare_and_swap_p (mode, flag_use_atomic_builtins))
+  if (can_compare_and_swap_p (mode, GCC_OPTION (flag_use_atomic_builtins)))
     {
       tree addr, stmt;
       enum built_in_function fncode = BUILT_IN_SYNC_BOOL_COMPARE_AND_SWAP_4;
@@ -345,7 +345,7 @@ compareAndSwapLong_builtin (tree method_return_type ATTRIBUTE_UNUSED,
      Some machines such as ARM have atomic libfuncs but not the multi-word
      versions.  */
   if (can_compare_and_swap_p (mode,
-			      (flag_use_atomic_builtins
+			      (GCC_OPTION (flag_use_atomic_builtins)
 			       && GET_MODE_SIZE (mode) <= UNITS_PER_WORD)))
     {
       tree addr, stmt;
@@ -366,7 +366,7 @@ compareAndSwapObject_builtin (tree method_return_type ATTRIBUTE_UNUSED,
 			      tree orig_call)
 {
   enum machine_mode mode = TYPE_MODE (ptr_type_node);
-  if (can_compare_and_swap_p (mode, flag_use_atomic_builtins))
+  if (can_compare_and_swap_p (mode, GCC_OPTION (flag_use_atomic_builtins)))
   {
     tree addr, stmt;
     enum built_in_function builtin;
@@ -400,7 +400,7 @@ putVolatile_builtin (tree method_return_type ATTRIBUTE_UNUSED,
   stmt = build_call_expr (builtin_decl_explicit (BUILT_IN_SYNC_SYNCHRONIZE), 0);
   modify_stmt = fold_build2 (MODIFY_EXPR, value_type,
 			     build_java_indirect_ref (value_type, addr,
-						      flag_check_references),
+						      GCC_OPTION (flag_check_references)),
 			     value_arg);
   stmt = build2 (COMPOUND_EXPR, TREE_TYPE (modify_stmt), 
 		 stmt, modify_stmt);
@@ -430,7 +430,7 @@ getVolatile_builtin (tree method_return_type ATTRIBUTE_UNUSED,
   modify_stmt = fold_build2 (MODIFY_EXPR, method_return_type,
 			     tmp,
 			     build_java_indirect_ref (method_return_type, addr,
-						      flag_check_references));
+						      GCC_OPTION (flag_check_references)));
 
   stmt = build2 (COMPOUND_EXPR, void_type_node, modify_stmt, stmt);
   stmt = build2 (COMPOUND_EXPR, method_return_type, stmt, tmp);
@@ -592,7 +592,7 @@ initialize_builtins (void)
 tree
 check_for_builtin (tree method, tree call)
 {
-  if (optimize && TREE_CODE (call) == CALL_EXPR)
+  if (GCC_OPTION (optimize) && TREE_CODE (call) == CALL_EXPR)
     {
       int i;
       tree method_class = DECL_NAME (TYPE_NAME (DECL_CONTEXT (method)));
@@ -615,7 +615,7 @@ check_for_builtin (tree method, tree call)
 
 	      /* Builtin functions emit a direct call which is incompatible
 	         with the BC-ABI.  */
-	      if (flag_indirect_dispatch)
+	      if (GCC_OPTION (flag_indirect_dispatch))
 	        return call;
 	      fn = builtin_decl_explicit (java_builtins[i].builtin_code);
 	      if (fn == NULL_TREE)
